package com.gx.obe.management.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.EvaluationStepManagerComposite;

/**
 * @Description: 评标步骤
 * @author guoyr
 */
public class LoadEvaluationFactorAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		EvaluationStepManagerComposite composite = new EvaluationStepManagerComposite(listener.getParentComposite(), this, SWT.NONE);
		listener.loadComposite(this, composite);
	}
}
